## org.gnu.gtk
Class ButtonsType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ButtonsType

public class ButtonsType
extends org.gnu.glib.Enum

Defines the prebuild set of buttons for a Dialog. If none of these choices are appropriate, simply use NONE and then add you own buttons.

Field Summary
`static ButtonsType` `CANCEL` A Cancel button
`static ButtonsType` `CLOSE` A Close button
`static ButtonsType` `NONE` No buttons at all.
`static ButtonsType` `OK` An OK button.
`static ButtonsType` `OK_CANCEL` OK and Cancel buttons.
`static ButtonsType` `YES_NO` Yes and No buttons.

Method Summary
`ButtonsType` `and(ButtonsType other)`
`static ButtonsType` `intern(int value)`
`ButtonsType` `or(ButtonsType other)`
`boolean` `test(ButtonsType other)`
`ButtonsType` `xor(ButtonsType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final ButtonsType NONE

  No buttons at all.

### OK

    public static final ButtonsType OK

  An OK button.

### CLOSE

    public static final ButtonsType CLOSE

  A Close button

### CANCEL

    public static final ButtonsType CANCEL

  A Cancel button

### YES_NO

    public static final ButtonsType YES_NO

  Yes and No buttons.

### OK_CANCEL

    public static final ButtonsType OK_CANCEL

  OK and Cancel buttons.

Method Detail

### intern

    public static ButtonsType intern(int value)

### or

    public ButtonsType or(ButtonsType other)

### and

    public ButtonsType and(ButtonsType other)

### xor

    public ButtonsType xor(ButtonsType other)

### test

    public boolean test(ButtonsType other)